MsWksGraphInternal::Zone Struct Reference documentation

MsWksGraphInternal::Zone Struct Reference

Internal: the generic pict. More...

Inheritance diagram for MsWksGraphInternal::Zone:

## Public Types
enum | Type { Unknown , Shape , ChartZone , Group , Pict , Text , Textv4 , Bitmap , TableZone , OLE }

## Public Member Functions
| Zone ()
| constructor
| Zone (Zone const &)=default
Zone & | operator= (Zone const &)=default
Zone & | operator= (Zone &&)=default
virtual | ~Zone ()
| destructor
virtual Type | type () const
| return the type
virtual bool | getBinaryData (MWAWInputStreamPtr, MWAWEmbeddedObject &picture) const
| return a binary data (if known)
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed)
virtual void | fillFrame (MWAWGraphicStyle &) const
| add frame parameters to propList (if needed )
MWAWBox2f | getLocalBox (bool extendWithBord=true) const
| return the box
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const
virtual void | print (std::ostream &o) const
| the virtual print function

## Public Attributes
int | m_subType
| the type
int | m_zoneId
| the zone id
MWAWEntry | m_pos
| the file position
long | m_dataPos
| the data begin position
int | m_fileId
| the file id
long | m_ids [3]
| the zones id (main, previous, next)
int | m_page
| the page
MWAWBox2f | m_decal
| the local position
MWAWVec2f | m_finalDecal
| the final local position
MWAWBox2f | m_box
| local bdbox
int | m_line
| the line position(v1)
MsWksGraph::Style | m_style
| the style
int | m_order
| the picture order
std::string | m_extra
| extra data
bool | m_doNotSend
| a flag used to know if we need to send the data ( or if this is the part of a sub group)
bool | m_isSent
| true if the zone is send

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &pict)
| operator<<

## Detailed Description

Internal: the generic pict.

## Member Enumeration Documentation

## ◆ Type

enum MsWksGraphInternal::Zone::Type

Enumerator
Unknown |
Shape |
ChartZone |
Group |
Pict |
Text |
Textv4 |
Bitmap |
TableZone |
OLE |

## Constructor & Destructor Documentation

## ◆ Zone() [1/2]

MsWksGraphInternal::Zone::Zone | ( |  | ) |
| inline

constructor

Referenced by MsWksGraphInternal::BasicShape::BasicShape(), MsWksGraphInternal::Chart::Chart(), MsWksGraphInternal::Chart::Chart(), MsWksGraphInternal::DataBitmap::DataBitmap(), MsWksGraphInternal::DataBitmap::DataBitmap(), MsWksGraphInternal::DataPict::DataPict(), MsWksGraphInternal::DataPict::DataPict(), MsWksGraphInternal::GroupZone::GroupZone(), MsWksGraphInternal::OLEZone::OLEZone(), operator<<, operator=(), operator=(), MsWksGraphInternal::Table::Table(), MsWksGraphInternal::Table::Table(), MsWksGraphInternal::TextBox::TextBox(), MsWksGraphInternal::TextBoxv4::TextBoxv4(), and Zone().

## ◆ Zone() [2/2]

MsWksGraphInternal::Zone::Zone | ( | Zone const & |  | ) |
| default

## ◆ ~Zone()

virtual MsWksGraphInternal::Zone::~Zone | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

## ◆ fillFrame()

virtual void MsWksGraphInternal::Zone::fillFrame | ( | MWAWGraphicStyle & |  | ) | const
| inlinevirtual

add frame parameters to propList (if needed )

Reimplemented in MsWksGraphInternal::TextBox, and MsWksGraphInternal::TextBoxv4.

## ◆ getBinaryData()

virtual bool MsWksGraphInternal::Zone::getBinaryData | ( | MWAWInputStreamPtr | ,
|  | MWAWEmbeddedObject & | picture ) const
| inlinevirtual

return a binary data (if known)

Reimplemented in MsWksGraphInternal::DataPict.

## ◆ getLocalBox()

MWAWBox2f MsWksGraphInternal::Zone::getLocalBox | ( | bool | extendWithBord = true | ) | const
| inline

return the box

Referenced by getPosition().

## ◆ getPosition()

MWAWPosition MsWksGraphInternal::Zone::getPosition | ( | MWAWPosition::AnchorTo | rel | ) | const
| inline

## ◆ needExtraBorderWidth()

virtual float MsWksGraphInternal::Zone::needExtraBorderWidth | ( |  | ) | const
| inlinevirtual

return the extra border space ( if needed)

Reimplemented in MsWksGraphInternal::BasicShape.

Referenced by getLocalBox().

## ◆ operator=() [1/2]

Zone & MsWksGraphInternal::Zone::operator= | ( | Zone && |  | ) |
| default

## ◆ operator=() [2/2]

Zone & MsWksGraphInternal::Zone::operator= | ( | Zone const & |  | ) |
| default

## ◆ print()

void MsWksGraphInternal::Zone::print | ( | std::ostream & | o | ) | const
| virtual

the virtual print function

Reimplemented in MsWksGraphInternal::BasicShape, MsWksGraphInternal::DataBitmap, MsWksGraphInternal::DataPict, MsWksGraphInternal::GroupZone, MsWksGraphInternal::OLEZone, MsWksGraphInternal::TextBox, and MsWksGraphInternal::TextBoxv4.

Referenced by operator<<, MsWksGraphInternal::BasicShape::print(), MsWksGraphInternal::DataBitmap::print(), MsWksGraphInternal::DataPict::print(), MsWksGraphInternal::GroupZone::print(), MsWksGraphInternal::OLEZone::print(), MsWksGraphInternal::TextBox::print(), and MsWksGraphInternal::TextBoxv4::print().

## ◆ type()

virtual Type MsWksGraphInternal::Zone::type | ( |  | ) | const
| inlinevirtual

return the type

Reimplemented in MsWksGraphInternal::BasicShape, MsWksGraphInternal::Chart, MsWksGraphInternal::DataBitmap, MsWksGraphInternal::DataPict, MsWksGraphInternal::GroupZone, MsWksGraphInternal::OLEZone, MsWksGraphInternal::Table, MsWksGraphInternal::TextBox, and MsWksGraphInternal::TextBoxv4.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | pict )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f MsWksGraphInternal::Zone::m_box

local bdbox

Referenced by MsWksGraph::getEntryPicture(), getLocalBox(), print(), MsWksGraph::readPictHeader(), and Zone().

## ◆ m_dataPos

long MsWksGraphInternal::Zone::m_dataPos

the data begin position

Referenced by MsWksGraphInternal::DataPict::getBinaryData(), MsWksGraph::getEntryPicture(), MsWksGraphInternal::DataBitmap::getPictureData(), MsWksGraph::readGroup(), MsWksGraph::readPictHeader(), MsWksGraph::readPictureV4(), and Zone().

## ◆ m_decal

MWAWBox2f MsWksGraphInternal::Zone::m_decal

the local position

Referenced by print(), MsWksGraph::readPictHeader(), and Zone().

## ◆ m_doNotSend

bool MsWksGraphInternal::Zone::m_doNotSend

a flag used to know if we need to send the data ( or if this is the part of a sub group)

Referenced by Zone().

## ◆ m_extra

std::string MsWksGraphInternal::Zone::m_extra

extra data

Referenced by print(), MsWksGraph::readPictHeader(), and Zone().

## ◆ m_fileId

int MsWksGraphInternal::Zone::m_fileId

the file id

Referenced by print(), and Zone().

## ◆ m_finalDecal

MWAWVec2f MsWksGraphInternal::Zone::m_finalDecal

the final local position

Referenced by getPosition(), MsWksGraph::readPictHeader(), and Zone().

## ◆ m_ids

long MsWksGraphInternal::Zone::m_ids[3]

the zones id (main, previous, next)

Referenced by print(), MsWksGraph::readPictHeader(), and Zone().

## ◆ m_isSent

bool MsWksGraphInternal::Zone::m_isSent

true if the zone is send

Referenced by MsWksGraph::sendGroup(), MsWksGraph::sendGroupChild(), and Zone().

## ◆ m_line

int MsWksGraphInternal::Zone::m_line

the line position(v1)

Referenced by print(), and Zone().

## ◆ m_order

int MsWksGraphInternal::Zone::m_order

the picture order

Referenced by getPosition(), and Zone().

## ◆ m_page

int MsWksGraphInternal::Zone::m_page

the page

Referenced by MsWksGraph::canCreateGraphic(), getPosition(), print(), MsWksGraph::readPictHeader(), MsWksGraph::readPictureV4(), and Zone().

## ◆ m_pos

MWAWEntry MsWksGraphInternal::Zone::m_pos

the file position

Referenced by MsWksGraphInternal::DataPict::getBinaryData(), MsWksGraph::getEntryPicture(), MsWksGraph::readGroup(), MsWksGraph::readPictureV4(), and Zone().

## ◆ m_style

MsWksGraph::Style MsWksGraphInternal::Zone::m_style

the style

Referenced by MsWksGraphInternal::TextBox::fillFrame(), MsWksGraphInternal::TextBoxv4::fillFrame(), MsWksGraphInternal::BasicShape::getStyle(), MsWksGraphInternal::BasicShape::needExtraBorderWidth(), print(), MsWksGraph::readPictHeader(), and Zone().

## ◆ m_subType

int MsWksGraphInternal::Zone::m_subType

the type

Referenced by MsWksGraph::getEntryPicture(), MsWksGraphInternal::BasicShape::getStyle(), print(), MsWksGraph::readPictHeader(), and Zone().

## ◆ m_zoneId

int MsWksGraphInternal::Zone::m_zoneId

the zone id

Referenced by MsWksGraph::getEntryPicture(), print(), MsWksGraph::readGroup(), MsWksGraph::readPictureV4(), and Zone().

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx